Page MenuHomePhabricator

Fatal error: Argument 2 passed to hash_pbkdf2() must be an instance of string, null given
Closed, ResolvedPublic

Description

Fatal error: Argument 2 passed to hash_pbkdf2() must be an instance of string, null given in /srv/mediawiki/php-1.24wmf22/includes/password/Pbkdf2Password.php on line 57

Happens when trying to create an account for another person while logged in.

Only happens with HHVM because our version of php5 doesn't have hash_pbkdf2().


Version: unspecified
Severity: normal

Details

Reference
bz71421

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:47 AM
bzimport set Reference to bz71421.
ori created this task.Sep 29 2014, 5:39 PM

gerritadmin wrote:

Change 163624 had a related patch set uploaded by Anomie:
Test for string in Pbkdf2Password::crypt()

https://gerrit.wikimedia.org/r/163624

gerritadmin wrote:

Change 163626 had a related patch set uploaded by Ori.livneh:
Test for string in Pbkdf2Password::crypt()

https://gerrit.wikimedia.org/r/163626

gerritadmin wrote:

Change 163626 merged by jenkins-bot:
Test for string in Pbkdf2Password::crypt()

https://gerrit.wikimedia.org/r/163626

gerritadmin wrote:

Change 163640 had a related patch set uploaded by Anomie:
PasswordFactory::newFromPlaintext( null ) needs to work

https://gerrit.wikimedia.org/r/163640

gerritadmin wrote:

Change 163624 abandoned by Anomie:
Test for string in Pbkdf2Password::crypt()

Reason:
Not needed anymore. See Ib5f94b52c07e7dba89328b98fb43c86db95ee09f.

https://gerrit.wikimedia.org/r/163624

gerritadmin wrote:

Change 163739 had a related patch set uploaded by Ori.livneh:
PasswordFactory::newFromPlaintext( null ) needs to work

https://gerrit.wikimedia.org/r/163739

gerritadmin wrote:

Change 163740 had a related patch set uploaded by Ori.livneh:
PasswordFactory::newFromPlaintext( null ) needs to work

https://gerrit.wikimedia.org/r/163740

gerritadmin wrote:

Change 163640 merged by jenkins-bot:
PasswordFactory::newFromPlaintext( null ) needs to work

https://gerrit.wikimedia.org/r/163640

gerritadmin wrote:

Change 163740 merged by jenkins-bot:
PasswordFactory::newFromPlaintext( null ) needs to work

https://gerrit.wikimedia.org/r/163740

gerritadmin wrote:

Change 163739 merged by jenkins-bot:
PasswordFactory::newFromPlaintext( null ) needs to work

https://gerrit.wikimedia.org/r/163739

ori added a comment.Sep 30 2014, 4:10 AM

Fixed by Brad.